• Print
  • Share
  • Dark
    Light

I get the following error trying to configure BIND: checking if unistd.h or sys/types.h defines fd_set...

  • Updated on 10 Oct 2018
  • 1 minute to read
  • Contributors 

More of the error you may see: checking if unistd.h or sys/types.h defines fd_set... no configure: error: need either working unistd.h or sys/select.h

You may have attempted to configure the BIND source code using the C compiler installed on your system. This compiler may not have met the minimum compiler requirements required for building BIND. You need to install an ANSI C compiler and/or teach configure how to find the ANSI C compiler. The latter can be done by adjusting the PATH environment variable and/or by specifying the compiler via the CC environment variable.

./configure CC=<compiler> ...
Problems with this site? Email us at marketing@isc.org